Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class ISun.Date

    java.lang.Object
      igeo.ISun.Date

Enclosing class:
  ISun

    public static class ISun.Date

extends java.lang.Object

Field Summary
`int` | `day` input time info
`boolean` | `daylightSavingTime` switch to interpret hour as hour in daylight saving day
`double` | `hour` hour includes fraction of minutes and seconds
`int` | `month` input time info
`int` | `year` input time info

Constructor Summary
`ISun.Date()`
`ISun.Date(int year, int month, int day)`
`ISun.Date(int year, int month, int day, boolean daylightSavingTime)`
`ISun.Date(int year, int month, int day, double hour)`
`ISun.Date(int year, int month, int day, double hour, boolean daylightSavingTime)`
`ISun.Date(int year, int month, int day, int hour, double minute)`
`ISun.Date(int year, int month, int day, int hour, double minute, boolean daylightSavingTime)`
`ISun.Date(int year, int month, int day, int hour, int minute, double second)`
`ISun.Date(int year, int month, int day, int hour, int minute, double second, boolean daylightSavingTime)`
`ISun.Date(ISun.Date d)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### year

    public int year

  input time info

### month

    public int month

  input time info

### day

    public int day

  input time info

### hour

    public double hour

  hour includes fraction of minutes and seconds

### daylightSavingTime

    public boolean daylightSavingTime

  switch to interpret hour as hour in daylight saving day

Constructor Detail

### ISun.Date

    public ISun.Date()

### ISun.Date

    public ISun.Date(int year,
                     int month,
                     int day,
                     double hour,
                     boolean daylightSavingTime)

### ISun.Date

    public ISun.Date(int year,
                     int month,
                     int day,
                     boolean daylightSavingTime)

### ISun.Date

    public ISun.Date(int year,
                     int month,
                     int day,
                     int hour,
                     double minute,
                     boolean daylightSavingTime)

### ISun.Date

    public ISun.Date(int year,
                     int month,
                     int day,
                     int hour,
                     int minute,
                     double second,
                     boolean daylightSavingTime)

### ISun.Date

    public ISun.Date(int year,
                     int month,
                     int day,
                     double hour)

### ISun.Date

    public ISun.Date(int year,
                     int month,
                     int day)

### ISun.Date

    public ISun.Date(int year,
                     int month,
                     int day,
                     int hour,
                     double minute)

### ISun.Date

    public ISun.Date(int year,
                     int month,
                     int day,
                     int hour,
                     int minute,
                     double second)

### ISun.Date

    public ISun.Date(ISun.Date d)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD